#include "AnimaRoue.h"

AnimaRoue::AnimaRoue()
:Anim_Boucle(100)
{
    std::cout << "Construction d'anim de roue appelée." << std::endl;
    //Insertion des images à m_bande
    char compteur('0');//'0'=48
    std::string nomFichier("AnimRoue/roue_p.bmp");//p étant le caractère à remplacer
    for (int i(0); i<4; i++)
    {
        compteur=48+i;//48='0'
        nomFichier[15]=compteur;
        m_bande.push_back(0);
        m_bande[i]=SDL_LoadBMP(nomFichier.c_str());
        std::cout << m_bande[i] << std::endl;
    }

}///Constructeur

AnimaRoue::~AnimaRoue()
{
    //à enlever
    if (m_bande.empty())
        std::cout << "Destructeur parent automatique." << std::endl;
    else
        std::cout << "Destructeur parent manuel requis." << std::endl;
    while (!m_bande.empty())
    {
        if (m_bande.back()!=0)
            SDL_FreeSurface(m_bande.back());
        m_bande.pop_back();
    }
    //Anim_Boucle::~Anim_Boucle();
}///Destructeur

void AnimaRoue::coller(SDL_Surface* support, int x, int y, bool centrer)
{
    Anim_Boucle::coller(support, x, y, centrer);
}




